Page MenuHomePhabricator

Ensure and test Internet and WiFi Capabilities in the UAB - Escola d'Enginyeria
Closed, ResolvedPublic

Description

Key aspect for a successful hackathon.

  • Check wifi works OK for different used rooms.
  • Specially for first day maybe enable separate SSIDs.
  • Separate SSID for talks or presentations.
  • Ensure no ports are blocked.

Event Timeline

Toniher created this task.Aug 8 2017, 11:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2017, 11:55 AM
KRLS added a subscriber: KRLS.Feb 25 2018, 8:41 PM

@Mariusmm Can you do any update about this task? cc: @Toniher

Toniher claimed this task.Feb 25 2018, 8:47 PM
Toniher added a subscriber: Mariusmm.

@Mariusmm Can you do any update about this task? cc: @Toniher

@KRLS we already had an initial meeting with UAB Engineering school and we're discussing more aspects with WMF IT team

I'd like to report that it isn't possible to connect to gerrit port via eduroam network. I didn't test the general SSID. I'm not able to use port 2501 via eduroam which is the port I use for ZNC server. So no IRC for me so far... Can this be fixed? Thanks!

urbanecm@notebook ~/.ssh                           
$ telnet gerrit.wikimedia.org 29418 # Test connection to that port on gerrit
Trying 208.80.154.85...
^C
urbanecm@notebook ~/.ssh 
$ telnet login.tools.wmflabs.org 22 # Just to show what should be displayed
Trying 208.80.155.163...
Connected to login.tools.wmflabs.org.
Escape character is '^]'.
SSH-2.0-OpenSSH_6.9p1 Ubuntu-2~trusty1
quit
Protocol mismatch.
Connection closed by foreign host.

You should use SSID: UAB, and clicking on convidat checkbox in the WiFi
portal.

I can see that:

telnet gerrit.wikimedia.org 29418
Trying 208.80.154.85...
Connected to gerrit.wikimedia.org.
Escape character is '^]'.
SSH-2.0-GerritCodeReview_2.14.8-22-g07c8aa9910 (SSHD-CORE-1.4.0)

In that case, I'm unable to use mosh (needs at least one UDP port allowed) as well as connect to my personal server through alternative port (2222). Still not true that no ports are blocked.

Urbanecm added a comment.EditedMay 18 2018, 4:20 PM

And still unable to use IRC (over ZNC, port 2501).

Hi @Urbanecm , I think this is already clarified via other media, but the recommended (and adapted access for Wikimedia Hackathon needs) is UAB SSID. Further details here: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2018/Program#WiFi_connection_instructions_on_Campus
Let us know if you need any further help (cc @Joutbis ) Sorry for any misunderstanding!

Another comment, adapted ports in UAB SSID are only applicable at Engineering School. UAB SSID can also be used in other places on Campus, but not adapted everywhere. In the auditorium (Friday morning and Sunday afternoon) we will only have Web, SSH and IRC working.

A list of currently open ports (just on UAB SSID, we are not supposed to use eduroam): https://meta.wikimedia.org/wiki/Wikimania_Handbook#Hackathon_requirements

For the record, the mosh ports weren't in the original request. We added them on Friday night, at the request of another user. So it makes sense that mosh didn't work on Friday evening.

Toniher closed this task as Resolved.May 21 2018, 4:05 PM